plugins {
    id 'org.springframework.boot' version '2.7.0'
    id 'io.spring.dependency-management' version '1.0.11.RELEASE'
    id 'java'
}

group = 'com'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = '1.8'

configurations {
    compileOnly {
        extendsFrom annotationProcessor
    }
}

repositories {
    mavenCentral()
}

dependencies {
    implementation 'org.springframework.boot:spring-boot-starter-jdbc'
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter:2.1.4'
    implementation 'com.auth0:java-jwt:3.4.0'
    implementation 'junit:junit:4.12'
    implementation 'junit:junit:4.12'
    compileOnly 'org.projectlombok:lombok'
    implementation 'com.alibaba:fastjson:1.2.76'
    implementation 'cn.hutool:hutool-all:5.6.5'
    implementation 'cn.hutool:hutool-core:5.6.5'
    implementation 'com.aliyun:aliyun-java-sdk-core:4.5.13'
    implementation 'com.aliyun.oss:aliyun-sdk-oss:3.10.2'
    implementation 'com.microsoft.sqlserver:mssql-jdbc:7.4.1.jre8'
    implementation 'com.github.wxpay:wxpay-sdk:0.0.3'
    implementation fileTree(dir:'lib',includes:['*jar'])
    annotationProcessor 'org.projectlombok:lombok'
    developmentOnly 'org.springframework.boot:spring-boot-devtools'
    testImplementation('org.springframework.boot:spring-boot-starter-test') {
        exclude group: 'org.junit.vintage', module: 'junit-vintage-engine'
    }
}

tasks.named('test') {
    useJUnitPlatform()
}
